PRDB_CHECK(8)

NAME
prdb_check - Checks the integrity of the Protection Database

SYNOPSIS
prdb_check -database <ptdb file> [-uheader] [-pheader]
    [-entries] [-verbose] [-help]

prdb_check -d <ptdb file> [-u] [-p] [-e] [-v] [-h]

DESCRIPTION
The prdb_check command checks the integrity of the Protection Database, reporting any errors or corruption it finds. If there are problems, do not issue any pts commands until the database is repaired.

CAUTIONS
The results can be unpredictable if the Protection Server makes changes to the Protection Database while this command is running. Use the bos shutdown command to shutdown the local ptserver process before running this command, or before creating a second copy of the prdb.DB0 file (with a different name) on which to run the command.

OPTIONS

-database <ptdb file>
    Names the Protection Database (copy of the prdb.DB0 file) to check. If the current working directory is not the location of the file, provide a pathname, either full or relative to the current working directory.

-uheader
    Displays information which Ubik maintains in the database's header.

-pheader
    Displays information which the Protection Server maintains in the database's header.

-entries
    Outputs every entry in the database. Some of the information is similar to that returned by the pts examine command.

-verbose
    Reports additional information about the database, including the number of entries in the database and a trace of the internal database structures the command is verifying.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If there are errors in the database, the output always reports them on the standard error stream. If any options other than -database or -help are provided, the output written to the standard output stream includes additional information as described for each option in OPTIONS. The output is intended for debugging purposes and is meaningful to someone familiar with the internal structure of the Protection Database.

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser "root".

SEE ALSO
prdb.DB0(5), bos_shutdown(8), pts_examine(1), ptserver(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.